Page MenuHomePhabricator

Add Windows ehcont section support (/guard:ehcont).
ClosedPublic

Authored by pengfei on Feb 15 2021, 6:43 AM.

Diff Detail

Event Timeline

pengfei created this revision.Feb 15 2021, 6:43 AM
pengfei requested review of this revision.Feb 15 2021, 6:43 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptFeb 15 2021, 6:43 AM
jansvoboda11 resigned from this revision.Feb 19 2021, 5:11 AM
rnk accepted this revision.Mar 1 2021, 11:52 AM
rnk added inline comments.
clang/lib/Driver/ToolChains/MSVC.cpp
512

This is gone now, btw

This revision is now accepted and ready to land.Mar 1 2021, 11:52 AM
pengfei updated this revision to Diff 327654.Mar 2 2021, 7:17 PM

Rebased.

Thanks for the review.

clang/lib/Driver/ToolChains/MSVC.cpp
512

Sorry, I don't understand by the mean "gone"? The check for cf is still there after I rebased, I think we should do for ehcont too.

rnk added inline comments.Mar 3 2021, 12:54 PM
clang/lib/Driver/ToolChains/MSVC.cpp
512

Oh, I misspoke. I assumed this was code for doing fall back to cl.exe, which was removed recently. Nevermind.

This revision was automatically updated to reflect the committed changes.